org.springframework.cloud.dataflow.server.repository

## Class JdbcDataflowTaskExecutionMetadataDao

- java.lang.Object
- - org.springframework.cloud.dataflow.server.repository.JdbcDataflowTaskExecutionMetadataDao

- All Implemented Interfaces:
    DataflowTaskExecutionMetadataDao

      public class JdbcDataflowTaskExecutionMetadataDao
      extends Object
      implements DataflowTaskExecutionMetadataDao

  JDBC implementation for the `DataflowTaskExecutionMetadataDao`
  Since:
    2.3
  Author:
    Michael Minella
  See Also:
    `DataflowTaskExecutionMetadataDao`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcDataflowTaskExecutionMetadataDao(DataSource dataSource, org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer incrementer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteManifestsByTaskExecutionIds(Set<Long> taskExecutionIds)` Deletes the task manifest records associated with the collection of task execution ids provided.
    `TaskManifest` | `findManifestById(Long id)` Returns the manifest for the given execution id.
    `TaskManifest` | `getLatestManifest(String taskName)` Returns the manifest for the most recently launched instance of the task name requested.
    `void` | `save(org.springframework.cloud.task.repository.TaskExecution taskExecution, TaskManifest manifest)` Saves a `TaskManifest` related to the supplied `TaskExecution`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcDataflowTaskExecutionMetadataDao

          public JdbcDataflowTaskExecutionMetadataDao(DataSource dataSource,
                                                      org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer incrementer)

  - ### Method Detail

    - #### save

          public void save(org.springframework.cloud.task.repository.TaskExecution taskExecution,
                           TaskManifest manifest)

      Description copied from interface: `DataflowTaskExecutionMetadataDao`
      Saves a `TaskManifest` related to the supplied `TaskExecution`
      Specified by:
        `save` in interface `DataflowTaskExecutionMetadataDao`
      Parameters:
        `taskExecution` - execution this manifest is associated with
        `manifest` - manifest

    - #### getLatestManifest

          public TaskManifest getLatestManifest(String taskName)

      Description copied from interface: `DataflowTaskExecutionMetadataDao`
      Returns the manifest for the most recently launched instance of the task name requested.
      Specified by:
        `getLatestManifest` in interface `DataflowTaskExecutionMetadataDao`
      Parameters:
        `taskName` - name of task defintion
      Returns:
        `TaskManifest`

    - #### findManifestById

          public TaskManifest findManifestById(Long id)

      Description copied from interface: `DataflowTaskExecutionMetadataDao`
      Returns the manifest for the given execution id.
      Specified by:
        `findManifestById` in interface `DataflowTaskExecutionMetadataDao`
      Parameters:
        `id` - execution id
      Returns:
        `TaskManifest`

    - #### deleteManifestsByTaskExecutionIds

          public int deleteManifestsByTaskExecutionIds(Set<Long> taskExecutionIds)

      Description copied from interface: `DataflowTaskExecutionMetadataDao`
      Deletes the task manifest records associated with the collection of task execution ids provided.
      Specified by:
        `deleteManifestsByTaskExecutionIds` in interface `DataflowTaskExecutionMetadataDao`
      Parameters:
        `taskExecutionIds` - collection of ids to delete the manifests for
      Returns:
        number of manifests deleted

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.